Subject: [OPSAWG] Finding and Using Geofeed Data

From: Massimo Candela <[email-masked]>
Date: Mon, 31 Aug 2020 22:45:24 +0200

Hi all,

IP geolocation is often essential but hard to correct when wrong, mostly
due to the lack of a unified way to provide geolocation data.
Internet operators may wish to publish the location of some
of their IP addresses. RFC 8805 (geofeeds) allows network operators
to publish "a mapping of IP address prefixes to simplified geolocation".
Unfortunately it doesn't provide any mechanism to actually *find* the
geofeed files.

Section 8  ("Finding Self-Published IP Geolocation Feeds") lists this
as an open problem, and that:
   Ad hoc mechanisms, while useful for early experimentation by
   producers and consumers, are unlikely to be adequate for long-term,
   widespread use by multiple parties.  Future versions of any such
   self-published geolocation feed mechanism SHOULD address scalability
   concerns by defining a means for automated discovery and verification
   of operational authority of advertised prefixes.

This document provides a (simple) solution to this issue by describing
a way to include a URL to a geofeed file in an inetnum object, and
how to prudently consume such geolocation data.

Draft: https://tools.ietf.org/html/draft-ymbk-opsawg-finding-geofeeds-00

Please, provide your feedback.

Have a great day!

Ciao,
Massimo